<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{884DFB27-0F84-4CB7-925F-B53B260C8D74}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>DataAccess</RootNamespace>
    <AssemblyName>DataAccess</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="EntityFramework, Version=4.4.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\packages\EntityFramework.5.0.0\lib\net40\EntityFramework.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Core" />
    <Reference Include="System.Data.Entity" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.Security" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Absent.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="ActiveContactCustomerLocationView.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="ActiveCustomerLocationRegionCountryView.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="ActiveCustomerLocationRegionCountry_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="Contact.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="Country.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="Customer.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="DSR.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="DsrContactCustomerLocationView.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="DSRReportView.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="DSR_Header.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetAbsent_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetActiveContactCustomerLocation_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetActiveCustomerLocationRegionCountry_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetActiveDsrContactCustomerLocation_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetAttendanceAndDSR_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetAttendance_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetContactWithCustName_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetContact_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetCountry_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetCustomer_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetDSRHeader_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetDSR_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetExecutiveReport_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetExecutiveTargetsActuals_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetHoliday_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetLocation_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetManagerExecutive_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetManagerReport_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetParameter_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetRegion_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetReporteesForUserCreation_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetRoleRights_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetRole_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetSiteUser_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetTarget_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetUserRoleLocationRegionCountry_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="GetUser_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="Holiday.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="Location.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="Manager_Executive.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="Menu.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="MenuAccess.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="MenuRolePage.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="NikarDSR.Context.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>NikarDSR.Context.tt</DependentUpon>
    </Compile>
    <Compile Include="NikarDSR.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="NikarDSR.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>NikarDSR.edmx</DependentUpon>
    </Compile>
    <Compile Include="Parameter.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="ParameterDet.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Region.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="Role.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="RoleRight.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="Site_User.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="sp_helpdiagramdefinition_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="sp_helpdiagrams_Result.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="sysdiagram.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="Target.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="UserRoleLocationRegionCountryView.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
    <Compile Include="User_Language.cs">
      <DependentUpon>NikarDSR.tt</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <Service Include="{508349B6-6B84-4DF5-91F0-309BEEBAD82D}" />
  </ItemGroup>
  <ItemGroup>
    <EntityDeploy Include="NikarDSR.edmx">
      <Generator>EntityModelCodeGenerator</Generator>
      <LastGenOutput>NikarDSR.Designer.cs</LastGenOutput>
    </EntityDeploy>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.Config" />
    <None Include="NikarDSR.Context.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <DependentUpon>NikarDSR.edmx</DependentUpon>
      <LastGenOutput>NikarDSR.Context.cs</LastGenOutput>
    </None>
    <None Include="NikarDSR.edmx.diagram">
      <DependentUpon>NikarDSR.edmx</DependentUpon>
    </None>
    <None Include="NikarDSR.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <DependentUpon>NikarDSR.edmx</DependentUpon>
      <LastGenOutput>NikarDSR.cs</LastGenOutput>
    </None>
    <None Include="packages.config" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>